# Project: Classification

## Context

- Task: classification
- Model: Vision Transformer (ViT-B/32)
- Dataset: ImageNet (https://www.image-net.org/)


## Files provided

- model.py: definition of the model architecture
- transforms.py: the preprocessing operations that were used during training
- classes.json: classes with associated indices
- classification_weights.pth: the weights after training the model on the ImageNet dataset
  - can be downloaded here: https://people.irisa.fr/Denis.Coquenet/courses/content/M2-DLV/classification_weights.pth


## Additional information

- The dataset is accessible through the torchvision class ```torchvision.datasets.ImageNet```.
  - Images for validation set can be found here: https://image-net.org/data/ILSVRC/2012/ILSVRC2012_img_val.tar
  - Images for training set can be found here: https://image-net.org/data/ILSVRC/2012/ILSVRC2012_img_train.tar
  - Annotation can be found here https://image-net.org/data/ILSVRC/2012/ILSVRC2012_devkit_t12.tar.gz

## Reference paper

Alexey Dosovitskiy et al., "An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale", ICLR 2021.

Paper: https://arxiv.org/abs/2010.11929