from torchvision.transforms import Resize, InterpolationMode, Compose, CenterCrop, PILToTensor, ConvertImageDtype, Normalize
import torch


def preprocessing():
    transforms = [
        Resize(256, interpolation=InterpolationMode.BILINEAR, antialias=True),
        CenterCrop(224),
        PILToTensor(),
        ConvertImageDtype(torch.float),
        Normalize(mean=(0.485, 0.456, 0.406), std=(0.229, 0.224, 0.225))
    ]
    return Compose(transforms)